Bug 197276 - Gcompris failed to refresh after screensaver
Gcompris failed to refresh after screensaver
Product: Fedora
Classification: Fedora
Component: gcompris (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-29 15:55 EDT by yonas abraham
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-03 16:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yonas abraham 2006-06-29 15:55:30 EDT
Description of problem:
when Gcompris is left idel and the screensaver is activated, the xwindows stack
with black screen except one red big pointer. The only way I can have a working
xwindows is by restarting GDM with Alt+Ctrl+Backspace or going to a different
text terminal and kill all the gcompris precess IDs.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1.run gcompris 
2.activate screensaver
3.try to get back to gcompris
Actual results:
black screen and noway to close or continue using gcompris

Expected results:
to be able to continue paly with gcompris just like you left off before the
screensaver kicksin

Additional info:
I am using an uptodated with intel builtin graphic card
Comment 1 Hans de Goede 2006-07-01 17:31:03 EDT
This is really bug 197452. with xscreensaver this does not happen.

-yum install xscreensaver
-rpm -e gnome-screensaver

xscreensaver does have the problem of not being able to change (blank) the mouse
cursor when gcompris (or any other app) is running fullscreen and not responding
to mouse movements. But it does start its saver and can be get out of saving
mode with the keyboard just fine.
Comment 2 Hans de Goede 2006-07-01 17:37:40 EDT
I'm leaving this open for now to see if we can improve our interaction with
Comment 3 Hans de Goede 2006-07-03 16:20:47 EDT
Okay, in the mean time I've come up with a work around. I've applied a pathc
wihch catches focus in / out events. It restores the original resolution and
ungrabs the mouse on focus out and redoes the resolution changing and
mouse grab on focus in. This not only makes gnome-screensaver happy it
also allows one to alt-tab away from a fullscreen gcompris, do something
else like read mail and alt-tab (or any otherway) back.

gcompris-7.4-12 should show up on a mirror near you soon, fixing this.
Comment 4 yonas abraham 2006-07-05 21:14:39 EDT
I got gcompris-7.4-12 today and it works great with gnome-screensaver. Thanks

Note You need to log in before you can comment on or make changes to this bug.